evhtp_t Struct Reference

main structure containing all configuration information More...

`#include <evhtp.h>`

## Public Member Functions

| TAILQ_HEAD (, evhtp_alias_s) aliases
| TAILQ_HEAD (, evhtp_s) vhosts
| TAILQ_ENTRY (evhtp_s) next_vhost

## Data Fields

evhtp_t * | parent
| only when this is a vhost More...
evbase_t * | evbase
| the initialized event_base More...
evserv_t * | server
| the libevent listener struct More...
char * | server_name
| the name included in Host: responses More...
void * | arg
| user-defined evhtp_t specific arguments More...
int | bev_flags
| bufferevent flags to use on bufferevent_*_socket_new() More...
uint64_t | max_body_size
uint64_t | max_keepalive_requests
uint8_t | disable_100_cont: 1
| if set, evhtp will not respond to Expect: 100-continue More...
uint8_t | enable_reuseport: 1
uint8_t | enable_nodelay: 1
uint8_t | enable_defer_accept: 1
uint8_t | pad: 4
int | parser_flags
| default query flags to alter 'strictness' (see EVHTP_PARSE_QUERY_FLAG_*) More...
evhtp_ssl_ctx_t * | ssl_ctx
| if ssl enabled, this is the servers CTX More...
evhtp_ssl_cfg_t * | ssl_cfg
evthr_pool_t * | thr_pool
| connection threadpool More...
pthread_mutex_t * | lock
| parent lock for add/del cbs in threads More...
evhtp_thread_init_cb | thread_init_cb
void * | thread_init_cbarg
evhtp_callbacks_t * | callbacks
evhtp_defaults_t | defaults
struct timeval | recv_timeo
struct timeval | send_timeo

## Detailed Description

main structure containing all configuration information

Definition at line 290 of file evhtp.h.

## Member Function Documentation

evhtp_t::TAILQ_ENTRY | ( | evhtp_s |  | ) |

evhtp_t::TAILQ_HEAD | ( | evhtp_alias_s |  | ) |

evhtp_t::TAILQ_HEAD | ( | evhtp_s |  | ) |

## Field Documentation

void* evhtp_t::arg

user-defined evhtp_t specific arguments

Definition at line 295 of file evhtp.h.

int evhtp_t::bev_flags

bufferevent flags to use on bufferevent_*_socket_new()

Definition at line 296 of file evhtp.h.

evhtp_callbacks_t* evhtp_t::callbacks

Definition at line 321 of file evhtp.h.

evhtp_defaults_t evhtp_t::defaults

Definition at line 322 of file evhtp.h.

uint8_t evhtp_t::disable_100_cont

if set, evhtp will not respond to Expect: 100-continue

Definition at line 299 of file evhtp.h.

uint8_t evhtp_t::enable_defer_accept

Definition at line 299 of file evhtp.h.

uint8_t evhtp_t::enable_nodelay

Definition at line 299 of file evhtp.h.

uint8_t evhtp_t::enable_reuseport

Definition at line 299 of file evhtp.h.

evbase_t* evhtp_t::evbase

the initialized event_base

Definition at line 292 of file evhtp.h.

pthread_mutex_t* evhtp_t::lock

parent lock for add/del cbs in threads

Definition at line 317 of file evhtp.h.

uint64_t evhtp_t::max_body_size

Definition at line 297 of file evhtp.h.

uint64_t evhtp_t::max_keepalive_requests

Definition at line 298 of file evhtp.h.

uint8_t evhtp_t::pad

Definition at line 299 of file evhtp.h.

evhtp_t* evhtp_t::parent

only when this is a vhost

Definition at line 291 of file evhtp.h.

int evhtp_t::parser_flags

default query flags to alter 'strictness' (see EVHTP_PARSE_QUERY_FLAG_*)

Definition at line 305 of file evhtp.h.

struct timeval evhtp_t::recv_timeo

Definition at line 324 of file evhtp.h.

struct timeval evhtp_t::send_timeo

Definition at line 325 of file evhtp.h.

evserv_t* evhtp_t::server

the libevent listener struct

Definition at line 293 of file evhtp.h.

char* evhtp_t::server_name

the name included in Host: responses

Definition at line 294 of file evhtp.h.

evhtp_ssl_cfg_t* evhtp_t::ssl_cfg

Definition at line 309 of file evhtp.h.

evhtp_ssl_ctx_t* evhtp_t::ssl_ctx

if ssl enabled, this is the servers CTX

Definition at line 308 of file evhtp.h.

evthr_pool_t* evhtp_t::thr_pool

connection threadpool

Definition at line 313 of file evhtp.h.

evhtp_thread_init_cb evhtp_t::thread_init_cb

Definition at line 318 of file evhtp.h.

void* evhtp_t::thread_init_cbarg

Definition at line 319 of file evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp.h